Bug 838543 - Virtual Moon Atlas, an important scientific freeware program has stopped running under Fedora 17
Virtual Moon Atlas, an important scientific freeware program has stopped runn...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
19
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Radek Vokal
Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 08:25 EDT by John Duchek
Modified: 2015-02-18 09:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:20:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Duchek 2012-07-09 08:25:51 EDT
Description of problem: Virtual Moon atlas an installable tar from source, which used to work in Fedora 16 no longer works in Fedora 17 (the program is important enough where it should be in an installable rpm but is not to my knowledge).  It was installed and working on Fed 16, but no longer works after the upgrade to Fed 17. It also does not work as an installation on a fresh copy of fed 17.  
It runs, but a splash screen does not go away.  After a few seconds a box appears saying the program is non responsive, would I like to shut it down.  If you do not shut it down it just sits there.


Version-Release number of selected component (if applicable): 5.1 (current)


How reproducible: Both upgrades and fresh installations demonstrate the problem
Upgrades were working under Fedora 16


Steps to Reproduce:
1. after program and data files are installed, run 'atlun'
2. It will load data and then fail as described.
3.
  
Actual results:
Program freezes and has to be terminated

Expected results:
Display current moon and scientific settings and information

Additional info:
Comment 1 John Duchek 2012-09-22 23:45:34 EDT
09/21/2012   Virtual moon has provided a fix for this bug on their website

http://ap-i.net/avl/en/download   Under upgrades they have a download specifically for Ubuntu 12.04 and Fedora 17 to allow the program to work.  This upgrade worked ok on my system.
Comment 2 Fedora End Of Life 2013-07-03 21:22:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 John Duchek 2013-07-07 09:19:14 EDT
This software does the same thing in a fresh installation of F-19.  I found out from the author of the software that it was my fault.  Fedora does not set the path to be checked to include /usr/local/lib64 on a 64 bit installation.  The software fails to run because it cannot find the libvma404.so that is in that directory.  By including that directory using ldconfig the software works.
Comment 6 Fedora End Of Life 2015-01-09 12:14:43 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 09:20:21 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 John Duchek 2015-02-18 09:27:32 EST
This continues in fedora 21.  The solution is quite simple. Here are the comments from the author that make it work. 

This is because Fedora do not include /usr/local/lib64 in the default library path.
The install script say that at the end but maybe I need to make it more visible.
You must run the program with:

export LD_LIBRARY_PATH=/usr/local/lib64 && /usr/local/bin/atlun

Or change the library search path for your system, you will find plenty of information about that on the web.
For example: http://www.cyberciti.biz/faq/linux-setting-changing-library-path/ [^]

Add Your Path

Create a file called  /etc/ld.so.conf.d/myapp.conf:
 # vi /etc/ld.so.conf.d/myapp.conf
 Add the following path:
/usr/local/lib
Save and close the file.

Activate Your Library Path
You must run the following command to activate path:
 # ldconfig

Verify Your New Library Path
# ldconfig -v | less
 OR
 # ldconfig -v | grep /usr/local/lib


Unfortunately I have never been able to follow the directions to make a working rpm.  If I could I would take over this program.  It doesn't update itself often so would not be a lot of work.  
John

Note You need to log in before you can comment on or make changes to this bug.